Bug 67917 - Hard disc install fails
Hard disc install fails
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-04 06:17 EDT by Michael Young
Modified: 2007-04-18 12:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-24 14:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump (78.14 KB, text/plain)
2002-07-04 06:24 EDT, Michael Young
no flags Details
anaconda crash dump (89.32 KB, text/plain)
2002-07-11 16:15 EDT, Steve Riley
no flags Details

  None (edit)
Description Michael Young 2002-07-04 06:17:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
My attempt to upgrade via iso images stored on my hard disk fails. This may be
because the isos are on the partition I am upgrading, but it has worked
previously (eg. for 7.3). Anyway the anaconda dump is attached.
I also noticed that the function key links on syslinux are inconsistent, and the
background to the buttons in the text install are white rather than red.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot from boot.img floppy
2. Try to upgrade system from iso images on the root partition

Additional info:
Comment 1 Michael Young 2002-07-04 06:24:59 EDT
Created attachment 63666 [details]
Anaconda dump
Comment 2 Sarantis Paskalis 2002-07-04 08:38:47 EDT
The same crash happened to me as well.  Fortunately, I had the isos in a separate
partition, so I edited it out of /etc/fstab, and the installation continued ok.

I also observed the text install colors to be awkward.
Comment 3 Eric Hattemer 2002-07-04 09:06:21 EDT
Yeah, I got the same problem.  I think I'll install from CD instead anyway.  
What it seems is happening is that when the installer asks where the ISOs are, 
it mounts that volume.  Then when it goes to read your hard drive for packages 
to install, it reads the fstab, and blindly mounts everything it can find in 
there.  Then the mount function complains that the volume with the CDs is 
already mounted.  Then the whole installer crashes.  So the fix would be 
something like going into the anaconda scripts and either
1.  Add a check before mounting any FS to see if its already mounted
2.  Store the ISO partition in a variable, and when you pull the partitions out 
of the fstab, ignore that particular one.
3.  Get the installer to ignore the error and continue, considering that it 
probably won't impact anything (probably the worst solution).
Comment 4 timothy covell 2002-07-05 20:42:50 EDT
I would like to add that it crashed on me too doing a *CD* based upgrade.   I
changed my fstab
file and it fixed the problem.  

diff fstab fstab.old

< /dev/cdrom              /mnt/cdrom             iso9660 noauto,owner,kudzu,ro 0
> #/dev/hdb5               swap                    swap    defaults        0 0
> /dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro
0 0
> /dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro
0 0
> #
< /dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro
0 0
> #/dev/hdb6               /opt                 reiserfs defaults       1 0
Comment 5 Steve Riley 2002-07-11 16:14:08 EDT
My CD based attempt to go from 7.3 to limbo also crashed but as far as I can see
from the dump at a different point.  Sorry don't know how to try to fix it.
Colours seemed ok though.
Comment 6 Steve Riley 2002-07-11 16:15:48 EDT
Created attachment 64964 [details]
anaconda crash dump
Comment 7 Michael Fulbright 2002-07-24 14:36:58 EDT
Comment 8 Mike McLean 2002-07-31 18:36:46 EDT
Fix confirmed.  Successfully upgraded from isos stored on the root filesystem.
Comment 9 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.